Data Model
Create a category
POST
/
project
/
{projectId}
/
data-model
Create a category
curl --request POST \
--url https://backend.branch.flowengineering.com/project/{projectId}/data-model \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'customer: <customer>' \
--data '
{
"name": "<string>",
"fields": [
{
"key": "<string>",
"name": "<string>",
"multi": true,
"tags": [
{
"name": "Medium"
}
]
}
],
"humanIdPrefix": "<string>"
}
'import requests
url = "https://backend.branch.flowengineering.com/project/{projectId}/data-model"
payload = {
"name": "<string>",
"fields": [
{
"key": "<string>",
"name": "<string>",
"multi": True,
"tags": [{ "name": "Medium" }]
}
],
"humanIdPrefix": "<string>"
}
headers = {
"customer": "<customer>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
customer: '<customer>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
fields: [{key: '<string>', name: '<string>', multi: true, tags: [{name: 'Medium'}]}],
humanIdPrefix: '<string>'
})
};
fetch('https://backend.branch.flowengineering.com/project/{projectId}/data-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"builtin": true,
"categoryType": "folder",
"fields": [
{
"key": "<string>",
"name": "<string>",
"type": "<string>",
"multi": true,
"tags": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"humanIdPrefix": "<string>",
"humanIdPrefixLocked": true,
"id": "<string>",
"name": "<string>"
}Authorizations
api-keybearer
Headers
Workspace identifier
Path Parameters
Body
application/json
⌘I
Create a category
curl --request POST \
--url https://backend.branch.flowengineering.com/project/{projectId}/data-model \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'customer: <customer>' \
--data '
{
"name": "<string>",
"fields": [
{
"key": "<string>",
"name": "<string>",
"multi": true,
"tags": [
{
"name": "Medium"
}
]
}
],
"humanIdPrefix": "<string>"
}
'import requests
url = "https://backend.branch.flowengineering.com/project/{projectId}/data-model"
payload = {
"name": "<string>",
"fields": [
{
"key": "<string>",
"name": "<string>",
"multi": True,
"tags": [{ "name": "Medium" }]
}
],
"humanIdPrefix": "<string>"
}
headers = {
"customer": "<customer>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
customer: '<customer>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
fields: [{key: '<string>', name: '<string>', multi: true, tags: [{name: 'Medium'}]}],
humanIdPrefix: '<string>'
})
};
fetch('https://backend.branch.flowengineering.com/project/{projectId}/data-model', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"builtin": true,
"categoryType": "folder",
"fields": [
{
"key": "<string>",
"name": "<string>",
"type": "<string>",
"multi": true,
"tags": [
{
"name": "<string>",
"id": "<string>"
}
]
}
],
"humanIdPrefix": "<string>",
"humanIdPrefixLocked": true,
"id": "<string>",
"name": "<string>"
}